<template>
  <div class="box">
    <ul>
      <li
style="margin-left: 10px; width: 130px"
        @click="changeWander(item)"
        v-for="item in itemsOne"
      >
        <div class="divli">
          <div :class="item.class" class="backimge3"></div>
        </div>
        <div class="div_li">{{ $t(item.name) }}</div>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      itemsOne: [
        {
          id: "1",
          name: "synthesis.someroaming",
          class: "c1",
        },
        {
          id: "2",
          name: "synthesis.lineroaming",
          class: "c2",
        },
        {
          id: "3",
          name: "synthesis.mouseroaming",
          class: "c3",
        },
        {
          id: "4",
          name: "synthesis.snapshot",
          class: "c4",
        },
        {
          id: "4",
          name: "synthesis.tdisplay",
          class: "c5",
        },
      ],
    };
  },
  methods: {
    changeWander(res) {
      // var res_val = {
      //   url: "",
      //   name: res.name,
      // };
      // this.$bus.$emit("changetool", res_val);
      switch (res.id) {
        case "1":
          window.sgworld.Analysis.setPointFly();
          break;
        case "2":
          window.sgworld.Command.execute(2, 3, "", (data) => {
            data.showPoint = false;
            data.showLine = true;
            data.mode = 1;
            // 弹窗数据
            window.PathAnimationData = {
              flyData: data,
            };
            window.PathAnimationData.winIndex = layer.open({
              type: 2,
              title: "路径动画",
              shade: false,
              area: ["352px", "690px"],
              offset: "r",
              skin: "other-class",
              content: "/SmartEarthSDK/Workers/path/Path.html",
              end: function () {
                PathAnimationData.fly && PathAnimationData.fly.exit();
              },
            });
          });
          break;
      }
    },
  },
};
</script>

<style>
.box {
  width: 100%;
  height: 100%;
  position: relative;
}
.box li {
  list-style: none;
  float: left;
  height: 60px;
  text-align: center;
  margin: 2px;
  position: relative;
  cursor: pointer;
  margin-top: 5px;
}
.box ul {
  margin: 0px;
}
.c1 {
  background: url("../../assets/img/synthesis/椭圆 6.png") no-repeat center;
}
.c2 {
  background: url("../../assets/img/synthesis/椭圆 7 拷贝 2.png") no-repeat
    center;
}
.c3 {
  background: url("../../assets/img/synthesis/图层 14 副本 拷贝.png") no-repeat
    center;
}
.c4 {
  background: url("../../assets/img/synthesis/图层 74 拷贝 2.png") no-repeat
    center;
}
.c5 {
  background: url("../../assets/img/synthesis/椭圆 7 拷贝 4.png") no-repeat
    center;
}
.backimge3 {
  width: 30px;
  height: 30px;

  position: absolute;
  background-size: 100% 100%;
  margin: 0% 39%;
}
.divli {
  width: 100%;
  height: 50%;
  position: relative;
}
</style>
